
From: Pierre Ossman <drzeus-list@drzeus.cx>

Export the SCR register through sysfs.

Signed-off-by: Pierre Ossman <drzeus@drzeus.cx>
Cc: Russell King <rmk@arm.linux.org.uk>
Cc: David Brownell <david-b@pacbell.net>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/mmc/mmc_sysfs.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/mmc/mmc_sysfs.c~sd-scr-in-sysfs drivers/mmc/mmc_sysfs.c
--- devel/drivers/mmc/mmc_sysfs.c~sd-scr-in-sysfs	2005-08-21 23:48:41.000000000 -0700
+++ devel-akpm/drivers/mmc/mmc_sysfs.c	2005-08-21 23:48:41.000000000 -0700
@@ -34,6 +34,7 @@ MMC_ATTR(cid, "%08x%08x%08x%08x\n", card
 	card->raw_cid[2], card->raw_cid[3]);
 MMC_ATTR(csd, "%08x%08x%08x%08x\n", card->raw_csd[0], card->raw_csd[1],
 	card->raw_csd[2], card->raw_csd[3]);
+MMC_ATTR(scr, "%08x%08x\n", card->raw_scr[0], card->raw_scr[1]);
 MMC_ATTR(date, "%02d/%04d\n", card->cid.month, card->cid.year);
 MMC_ATTR(fwrev, "0x%x\n", card->cid.fwrev);
 MMC_ATTR(hwrev, "0x%x\n", card->cid.hwrev);
@@ -47,6 +48,7 @@ MMC_ATTR(serial, "0x%08x\n", card->cid.s
 static struct device_attribute mmc_dev_attrs[] = {
 	MMC_ATTR_RO(cid),
 	MMC_ATTR_RO(csd),
+	MMC_ATTR_RO(scr),
 	MMC_ATTR_RO(date),
 	MMC_ATTR_RO(fwrev),
 	MMC_ATTR_RO(hwrev),
_
